blender3d

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
beny
Full of knowledge
Full of knowledge
Posts: 1664
Joined: 02 Jan 2011, 11:33
Location: italy

blender3d

Post#31 by beny » 15 Jan 2023, 13:31

hi getmod do not have the compression choice the package is always xzm that is the porteus package format and after you have done a sudo getmod -u you can search packages like this:

Code: Select all

                                
guest@porteus:~$ sudo getmod -m flowblade
Reading Package Lists...Done
The following NEW packages will be installed:
  mlt-bindings flowblade 
0 upgraded, 0 reinstalled, 2 newly installed, 0 to remove, 0 not upgraded.
Need to get 8.7MB of archives.
Do you want to continue? [y/N] y
1/2 Get http://slackware.uk/salix/x86_64/extra-15.0/ mlt-bindings 7.4.0-x86_64-1salix15.0 [256.0kB]...Done
2/2 Get http://slackware.uk/salix/x86_64/extra-15.0/ flowblade 24564a-x86_64-1salix15.0 [8.4MB]...Done

Done
Verifying package flowblade-24564a-x86_64-1salix15.0.txz.
Installing package flowblade-24564a-x86_64-1salix15.0.txz:
PACKAGE DESCRIPTION:
# flowblade (non-linear video editor)
#
# Flowblade employs film style editing paradigm in which clips are
# usually automatically placed tightly after the previous clip - or
# between two existing clips - when they are inserted on the timeline.
# It is efficient, effective, and includes powerful tools to mix,
# filter, and affect video and audio.
#
# https://github.com/jliljebl/flowblade
#
Executing install script for flowblade-24564a-x86_64-1salix15.0.txz.
Package flowblade-24564a-x86_64-1salix15.0.txz installed.
Verifying package mlt-bindings-7.4.0-x86_64-1salix15.0.txz.
Installing package mlt-bindings-7.4.0-x86_64-1salix15.0.txz:
PACKAGE DESCRIPTION:
# mlt-bindings (programming interface for MLT framework)
#
# Libraries for hooking into the MLT multimedia framework from
# Python, Perl, PHP, and Ruby.
#
# https://www.mltframework.org/
#
Package mlt-bindings-7.4.0-x86_64-1salix15.0.txz installed.
Parallel mksquashfs: Using 6 processors
Creating 4.0 filesystem on /tmp/flowblade-24564a-x86_64-1salix15.0.xzm, block size 1048576.
[=============================================================/] 1824/1824 100%

Exportable Squashfs 4.0 filesystem, zstd compressed, data block size 1048576
	compressed data, compressed metadata, compressed fragments,
	compressed xattrs, compressed ids
	duplicates are removed
Filesystem size 9290.01 Kbytes (9.07 Mbytes)
	20.12% of uncompressed filesystem size (46181.76 Kbytes)
Inode table size 13542 bytes (13.22 Kbytes)
	21.98% of uncompressed inode table size (61616 bytes)
Directory table size 18215 bytes (17.79 Kbytes)
	33.24% of uncompressed directory table size (54794 bytes)
Number of duplicate files found 497
Number of inodes 1921
Number of files 1828
Number of fragments 65
Number of symbolic links 3
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 90
Number of ids (unique uids + gids) 1
Number of uids 1
	root (0)
Number of gids 1
	root (0)

====> '/tmp/flowblade-24564a-x86_64-1salix15.0.xzm' was created successfully.                  
the getmod wrapper download txz packages and unpack all and merge all into one module xzm,but i can go wrong on this

benjibasson
Black ninja
Black ninja
Posts: 45
Joined: 06 Mar 2019, 15:14
Distribution: Arch linux

blender3d

Post#32 by benjibasson » 15 Jan 2023, 16:39

So in witch case should we do -m or -M ?

impossible to know in advance witch module.txz can be converted only to ZSTD or to XZ only ?

what ever -m or -M doens'nt work for blender

Code: Select all

root@porteus:/home/guest# getmod -m Blender-3.0.1-x86_64-2salix15.0
Reading Package Lists...Done
Installed v4l-utils conflicts with v4l-utils-nogui
The following NEW packages will be installed:
  jasper LibRaw OpenSubdiv gstreamer hunspell graphene gtk4 libwacom libinput 
  judy mariadb openal-soft speech-dispatcher xcb-util-image xcb-util-keysyms 
  xcb-util-renderutil xcb-util-wm qt5 cmake dcmtk expat jemalloc opencollada 
  pybind11 opencolorio python2 openexr libwmf imagemagick xine-lib opencv 
  robin-map tbb fmt gcc-go gcc gcc-gfortran libaec hdf5 openimageio potrace 
  pugixml v4l-utils-nogui vid.stab Blender 
The following packages will be REMOVED:
  v4l-utils 
0 upgraded, 0 reinstalled, 45 newly installed, 1 to remove, 0 not upgraded.
Need to get 332.3MB of archives.
Do you want to continue? [y/N] y
1/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ jasper 2.0.33-x86_64-1 [164.0kB]...Done
2/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ LibRaw 0.20.2-x86_64-3 [388.0kB]...Done
3/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ OpenSubdiv 3.4.4-x86_64-2salix15.0 [29.9MB]...Done
4/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ gstreamer 1.18.5-x86_64-1 [1.7MB]...Done
5/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ hunspell 1.7.1-x86_64-1_slack15.0 [308.0kB]...Done
6/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ graphene 1.10.6-x86_64-1 [104.0kB]...Done
7/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ gtk4 4.4.1-x86_64-1 [18.0MB]...Done
8/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ libwacom 1.12-x86_64-1 [76.0kB]...Done
9/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ libinput 1.19.3-x86_64-1 [268.0kB]...Done
10/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ judy 1.0.5-x86_64-4 [140.0kB]...Done
11/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ mariadb 10.5.18-x86_64-1_slack15.0 [28.1MB]...Done
12/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ openal-soft 1.21.1-x86_64-2 [476.0kB]...Done
13/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ speech-dispatcher 0.10.2-x86_64-5 [2.4MB]...Done
14/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ xcb-util-image 0.4.0-x86_64-5 [32.0kB]...Done
15/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ xcb-util-keysyms 0.4.0-x86_64-5 [20.0kB]...Done
16/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ xcb-util-renderutil 0.3.9-x86_64-5 [20.0kB]...Done
17/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ xcb-util-wm 0.4.1-x86_64-5 [44.0kB]...Done
18/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ qt5 5.15.3_20220318_e18/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ qt5 5.15.3_20220318_e507d3e5-x86_64-1_slack15.0 [94.4MB]...^C1%
guest@porteus:~$ getmod -m Blender-3.0.1-x86_64-2salix15.0
Reading Package Lists...Done
Installed v4l-utils conflicts with v4l-utils-nogui
The following NEW packages will be installed:
  jasper LibRaw OpenSubdiv gstreamer hunspell graphene gtk4 libwacom libinput 
  judy mariadb openal-soft speech-dispatcher xcb-util-image xcb-util-keysyms 
  xcb-util-renderutil xcb-util-wm qt5 cmake dcmtk expat jemalloc opencollada 
  pybind11 opencolorio python2 openexr libwmf imagemagick xine-lib opencv 
  robin-map tbb fmt gcc-go gcc gcc-gfortran libaec hdf5 openimageio potrace 
  pugixml v4l-utils-nogui vid.stab Blender 
The following packages will be REMOVED:
  v4l-utils 
0 upgraded, 0 reinstalled, 45 newly installed, 1 to remove, 0 not upgraded.
Need to get 249.5MB/332.3MB of archives.
Do you want to continue? [y/N] y
18/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ qt5 5.15.3_20220318_e507d3e5-x86_64-1_slack15.0 [93.5MB]...Done
19/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ cmake 3.21.4-x86_64-1 [7.6MB]...Done
20/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ dcmtk 3.6.6-x86_64-2salix15.0 [8.2MB]...Done
21/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ expat 2.5.0-x86_64-1_slack15.0 [132.0kB]...Done
22/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ jemalloc 5.2.1-x86_64-3 [288.0kB]...Done
23/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ opencollada 1.6.68-x86_64-1salix15.0 [3.5MB]...Done
24/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ pybind11 2.9.2-x86_64-1salix15.0 [407.0kB]...Done
25/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ opencolorio 2.1.1-x86_64-1salix15.0 [2.1MB]...Done
26/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ python2 2.7.18-x86_64-4 [12.4MB]...Done
27/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ openexr 2.5.7-x86_64-5 [8.2MB]...Done
28/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ libwmf 0.2.12-x86_64-3 [188.0kB]...Done
29/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ imagemagick 7.1.0_22-x86_64-1 [7.8MB]...Done
30/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ xine-lib 1.2.11-x86_64-7 [3.1MB]...Done
31/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ opencv 4.5.5-x86_64-1 [13.2MB]...Done
32/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ robin-map 0.6.3-x86_64-1salix15.0 [22.0kB]...Done
33/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ tbb 2020u2-x86_64-1salix15.0 [392.0kB]...Done
34/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ fmt 8.1.1-x86_64-1salix15.0 [198.0kB]...Done
35/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ gcc-go 11.2.0-x86_64-2 [15.1MB]...Done
36/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ gcc 11.2.0-x86_64-2 [20.7MB]...Done
37/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ gcc-gfortran 11.2.0-x86_64-2 [9.4MB]...Done
38/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ libaec 1.0.6-x86_64-1salix15.0 [33.0kB]...Done
39/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ hdf5 1.10.6-x86_64-2salix15.0 [2.8MB]...Done
40/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ openimageio 2.2.19.0-x86_64-1salix15.0 [3.8MB]...Done
41/45 Get http://slackware.uk/salix/x86_64/15.0/ potrace 1.16-x86_64-1dj [109.0kB]...Done
42/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ pugixml 1.12.1-x86_64-1salix15.0 [336.0kB]...Done
43/45 Get http://slackware.uk/salix/x86_64/15.0/ v4l-utils-nogui 1.22.1-x86_64-1gv [960.0kB]...Done
44/45 Get http://slackware.uk/salix/x86_64/slackware-15.0/ vid.stab 20201110_f9166e9-x86_64-1 [48.0kB]...Done
45/45 Get http://slackware.uk/salix/x86_64/extra-15.0/ Blender 3.0.1-x86_64-2salix15.0 [35.0MB]...Done

Done
root@porteus:/home/guest# 

and doen't solve the dependence for flowblade

Code: Select all

guest@porteus:~$ flowblade 
FLOWBLADE MOVIE EDITOR 2.8
--------------------------
Launch script dir: /usr/bin
Running from installation...
modules path: /usr/lib64/python3.9/site-packages/Flowblade
Failed to import module app.py to launch Flowblade!
ERROR: No module named 'numpy'
Installation was assumed to be at: /usr/lib64/python3.9/site-packages/Flowblade

beny
Full of knowledge
Full of knowledge
Posts: 1664
Joined: 02 Jan 2011, 11:33
Location: italy

blender3d

Post#33 by beny » 15 Jan 2023, 18:29

hi,python-numpy and python-pillow you can manage all via getmod ,but you need also frei0r and this is a plugins container the is needed by flowblade and do not exist in slackware ok install the python deps and report here if you have the flowblade gui

User avatar
francois
Contributor
Contributor
Posts: 6111
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus nemesis
Location: Le printemps, le printemps, le printemps... ... l'hiver s'essoufle.

blender3d

Post#34 by francois » 23 Jan 2023, 00:49

@ncmprhnsbl:
I have used update-blender. Then in command line:

Code: Select all

root@porteus:/etc/slapt-get# blender
BLT_lang_init: 'locale' data path for translations not found, continuing
Writing userprefs: '/root/.config/blender/3.4/config/userpref.blend' ok
Info: Preferences saved
It is the first time I use this software. My intent is to use it regularly. I will report.

Thanks so much.
Prendre son temps, profiter de celui qui passe.

User avatar
Rava
Contributor
Contributor
Posts: 4606
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.0 x86_64 + 4.0 i586
Location: Forests of Germany

blender3d

Post#35 by Rava » 23 Jan 2023, 17:39

francois wrote:
23 Jan 2023, 00:49
BLT_lang_init: 'locale' data path for translations not found, continuing
Does anyone know how that is fixed for using translations in Blender?
Cheers!
Yours Rava

beny
Full of knowledge
Full of knowledge
Posts: 1664
Joined: 02 Jan 2011, 11:33
Location: italy

blender3d

Post#36 by beny » 23 Jan 2023, 17:42

hi Rava is this: or am i wrong

Code: Select all

  guest@porteus:~$ update-blender
Please enter root's password below
Password: 
Python 2.7.18
Work will be done in: /tmp 

Please choose a release from the menu.

1) stable
2) daily-alpha
3) daily-beta
#? 3
 daily-beta release chosen 
 Fetching latest Blender version info..
 Latest version is:   
 python is 310
 Would you like to create a module of the latest version? [y/n]

Choose a locale from the list.

1) ab	       9) es_ES	    17) hu	  25) pt	33) tr
2) ar	      10) eu	    18) id	  26) pt-BR	34) uk
3) ca	      11) fa	    19) it	  27) ru	35) vi
4) cs	      12) fr	    20) ja	  28) sk	36) zh-CN
5) de	      13) ha	    21) ko	  29) sr	37) zh-TW
6) eo	      14) he	    22) ky	  30) sr@latin
7) en-US      15) hi	    23) nl	  31) sv
8) es	      16) hr	    24) pl	  32) th
#? 

                                                                                         

User avatar
Rava
Contributor
Contributor
Posts: 4606
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.0 x86_64 + 4.0 i586
Location: Forests of Germany

blender3d

Post#37 by Rava » 23 Jan 2023, 17:46

^
I have no clue, I made my blender module a while ago and since I rarely use it I not plan on updating it that regularly.

To be honest, I have more interest in minimizing the module's size (if that is possible to the same degree that can be done with GIMP)
But my too small free time will prevent me from doing so, I presume.
Cheers!
Yours Rava

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 3707
Joined: 20 Mar 2012, 03:42
Distribution: v5.0-64bit
Location: australia
Contact:

blender3d

Post#38 by ncmprhnsbl » 24 Jan 2023, 02:47

Rava wrote:
23 Jan 2023, 17:39
Does anyone know how that is fixed for using translations in Blender?
the script should allow for keeping/using your chosen translation and remove all others.(as shown in beny's post.)
in the case of choosing english(en-us) the entire locales directory is removed, hence the harmless message.
as for stripping, note the the blender binary itself is 292 MB itself.. other than that, <version_num>/scripts/addons (252 MB) could be thinned out, i presume.
although the biggest, cycles renderer (@237 MB) is fairly essential..
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

User avatar
Rava
Contributor
Contributor
Posts: 4606
Joined: 11 Jan 2011, 02:46
Distribution: XFCE 5.0 x86_64 + 4.0 i586
Location: Forests of Germany

blender3d

Post#39 by Rava » 24 Jan 2023, 03:33

ncmprhnsbl wrote:
24 Jan 2023, 02:47
the script should allow for keeping/using your chosen translation and remove all others.(as shown in beny's post.)
in the case of choosing english(en-us) the entire locales directory is removed, hence the harmless message.
oh, so translation not meant a translation (as in translate text you write, e.g. like https://www.deepl.com/translator translates text) but the static translation of the GUI as in: the locales directory /usr/share/locale/ :wall:
Silly me for confusing those two.
Cheers!
Yours Rava

Post Reply